#!/bin/bash

# Author: Tomi Eckert
# This script helps to configure aurora.conf

# Source the aurora.conf to get current values
source aurora.conf

HDBSQL_PATH_INPUT=$(which hdbsql)

# Default values if not found
HDBSQL_PATH_INPUT=${HDBSQL_PATH_INPUT:-"/usr/sap/hdbclient/hdbsql"}

# Calculate default threads (half of available)
TOTAL_THREADS=$(nproc --all)
THREADS_DEFAULT=$((TOTAL_THREADS / 2))

# Update aurora.conf
sed -i "s#^HDBSQL_PATH=\".*\"#HDBSQL_PATH=\"$HDBSQL_PATH_INPUT\"#" aurora.conf
sed -i "s#^THREADS=.\"*\"#THREADS=\"$THREADS_DEFAULT\"#" aurora.conf

echo "aurora.conf updated successfully!"